# -*- encoding: utf-8 -*-
# stub: sensu-plugins-sensu 5.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-sensu".freeze
  s.version = "5.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu-Plugins and contributors".freeze]
  s.date = "2020-04-09"
  s.description = "This plugin provides monitoring and metrics for Sensu.".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["metrics-events.rb".freeze, "check-stale-results.rb".freeze, "handler-purge-stale-results.rb".freeze, "handler-sensu.rb".freeze, "check-aggregate.rb".freeze, "metrics-aggregate.rb".freeze, "handler-sensu-deregister.rb".freeze, "metrics-delete-expired-stashes.rb".freeze]
  s.files = ["bin/check-aggregate.rb".freeze, "bin/check-stale-results.rb".freeze, "bin/handler-purge-stale-results.rb".freeze, "bin/handler-sensu-deregister.rb".freeze, "bin/handler-sensu.rb".freeze, "bin/metrics-aggregate.rb".freeze, "bin/metrics-delete-expired-stashes.rb".freeze, "bin/metrics-events.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-sensu".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for sensu".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<chronic_duration>.freeze, ["= 0.10.6"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["= 2.0.2"])
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  else
    s.add_dependency(%q<chronic_duration>.freeze, ["= 0.10.6"])
    s.add_dependency(%q<rest-client>.freeze, ["= 2.0.2"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  end
end
